using Proteus.Domain.Foundation;
using System.Linq;
using System;

namespace AltNetSample.Domain
{
    public class CanAddOrderPrecondition : ISpecification<Order>
    {
        public bool IsSatisfiedBy(Order candidate)
        {
            return candidate.Items.Count() > 0;
            /*
             *extend this method later as business rules for what makes an order OK 
             * to add increase in complexity
             */
        }
    }
}
