using System.Collections.Generic;
using System.Linq;
using System;
using Proteus.Domain.Foundation;

namespace AltNetSample.Domain
{
    public class CustomerAddressChangeRule : ISpecification<Address>
    {
        //address must be 'complete' to be assigned to a customer
        public bool IsSatisfiedBy(Address candidate)
        {
            return !string.IsNullOrEmpty(candidate.City) 
                && !string.IsNullOrEmpty(candidate.PostalCode)
                && !string.IsNullOrEmpty(candidate.Streetname)&&
                !string.IsNullOrEmpty(candidate.StreetNumber) 
                && candidate.State!=null;
            
        }
    }
}
