using System.Collections.Generic;
using System.Linq;
using System;
using Proteus.Domain.Foundation;

namespace AltNetSample.Domain
{
    public class CustomerNameChangeRule : ISpecification<Name>
    {
        //this constraint says "lastname" is required but (perhaps) firstname can be blank
        public bool IsSatisfiedBy(Name candidate)
        {
            return !string.IsNullOrEmpty(candidate.Lastname);
        }
    }
}
